﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.AppStyling;
using Infragistics.Win.UltraWinGrid;
using System.Reflection;

namespace test_isl_file
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            PopolaGrigliaConDati(ultraGrid1);
        }

        private void PopolaGrigliaConDati(UltraGrid grid)
        {

            DataTable dt = new DataTable();
            DataColumn dc = new DataColumn("boolean");
            DataColumn dc2 = new DataColumn("double");
            DataColumn dc3 = new DataColumn("datetime");
            dt.Columns.Add(dc);
            dt.Columns.Add(dc2);
            dt.Columns.Add(dc3);
            for (int i = 0; i < 20; i++)
            {
                DataRow dr = dt.NewRow();
                if (i % 2 != 0)
                    dr[0] = true;
                else
                    dr[0] = false;
                dr[1] = 33.44;
                if (i % 2 != 0)
                    dr[2] = "ciao" + Environment.NewLine + "ss";
                else
                    dr[2] = "ciao";
                dt.Rows.Add(dr);
            }


            grid.DataSource = dt;

            grid.DisplayLayout.Override.CellMultiLine = DefaultableBoolean.True;
            grid.DisplayLayout.Override.RowSizing = RowSizing.AutoFree;
            grid.DisplayLayout.Bands[0].PerformAutoResizeColumns(false, PerformAutoSizeType.AllRowsInBand);
        }

        private void ultraButtonApplicaStile_Click(object sender, EventArgs e)
        {
            Stream streamStyle = Assembly.GetExecutingAssembly().GetManifestResourceStream("test_isl_file.Office2007Blue.isl");
            StyleManager.Load(streamStyle);
        }

        private void Form1_Load(object sender, EventArgs e)
        {

        }
    }
}
